/**
 * 切换自定义tabbar
 * @param url
 */
export function useRouter(url: string) {
  const pages = getCurrentPages();
  //   console.log(pages);
  const existIndex = pages.findIndex((page) => '/' + page.route === url);
  if (existIndex == -1) {
    uni.navigateTo({ url });
  } else {
    uni.navigateBack({ delta: pages.length - existIndex });
  }
}
